<back to all web services

GetStatus

The following routes are available for this service:
GET/RestApi/translations/translations/statuses
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetStatus implements ITranslationsFilter
    {
        public ArrayList<String> Type = null;
        public String SearchText = null;
        public String ActualSourceLanguage = null;
        public ArrayList<String> TargetLanguage = null;
        public ArrayList<String> Service = null;
        public ArrayList<TranslationStatus> TranslationStatus = null;
        public ArrayList<String> Status = null;
        public ArrayList<UUID> ProjectIds = null;
        public Date StartDate = null;
        public Date EndDate = null;
        public Boolean ErrorsOnly = null;
        
        public ArrayList<String> getType() { return Type; }
        public GetStatus setType(ArrayList<String> value) { this.Type = value; return this; }
        public String getSearchText() { return SearchText; }
        public GetStatus setSearchText(String value) { this.SearchText = value; return this; }
        public String getActualSourceLanguage() { return ActualSourceLanguage; }
        public GetStatus setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
        public ArrayList<String> getTargetLanguage() { return TargetLanguage; }
        public GetStatus setTargetLanguage(ArrayList<String> value) { this.TargetLanguage = value; return this; }
        public ArrayList<String> getService() { return Service; }
        public GetStatus setService(ArrayList<String> value) { this.Service = value; return this; }
        public ArrayList<TranslationStatus> getTranslationStatus() { return TranslationStatus; }
        public GetStatus setTranslationStatus(ArrayList<TranslationStatus> value) { this.TranslationStatus = value; return this; }
        public ArrayList<String> getStatus() { return Status; }
        public GetStatus setStatus(ArrayList<String> value) { this.Status = value; return this; }
        public ArrayList<UUID> getProjectIds() { return ProjectIds; }
        public GetStatus setProjectIds(ArrayList<UUID> value) { this.ProjectIds = value; return this; }
        public Date getStartDate() { return StartDate; }
        public GetStatus setStartDate(Date value) { this.StartDate = value; return this; }
        public Date getEndDate() { return EndDate; }
        public GetStatus setEndDate(Date value) { this.EndDate = value; return this; }
        public Boolean isErrorsOnly() { return ErrorsOnly; }
        public GetStatus setErrorsOnly(Boolean value) { this.ErrorsOnly = value; return this; }
    }

    public static enum TranslationStatus
    {
        Marked(101),
        Sending(201),
        Sent(202),
        Received(301),
        Importing(302),
        Imported(303),
        Completed(304),
        Archived(401),
        Deleted(402),
        Rejected(403),
        SendingError(501),
        ImportingError(502),
        ReceivingError(503);

        private final int value;
        TranslationStatus(final int intValue) { value = intValue; }
        public int getValue() { return value; }
    }

}

Java GetStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/translations/statuses HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

[{"Name":"String","Code":"String","Count":0}]